View Issue Details

IDProjectCategoryView StatusLast Update
14939Bug reports[All Projects] Otherpublic2019-05-31 10:19
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.16.x 
Target VersionFixed in Version3.17.x 
Summary14939: Check data integrity with a lot of broken question : SQL error (MSSQL)
Description

I have a DB with a lot of brokens questions, when try to fix it : SQL throw error
CDbCommand failed to execute the SQL statement: SQLSTATE[IMSSP]: Tried to bind parameter number 2101. SQL Server supports a maximum of 2100 parameters

Steps To Reproduce

Import a lot of survey , again and again
Hack the DB to delete the surveys lines
Check data integrity :)

Additional Information

I know : there are an issue in one of my plugin … with mssql …
https://gitlab.com/SondagesPro/coreAndTools/reloadAnyResponse/commit/4807c652e001ddd623e433ac11733e3695f4e730

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.16.0+190225
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-VersionMS SQL Server 2012
Server OS (if known)windows
Webserver software & version (if known)IIS
PHP Versionphp7.2

Relationships

related to 14938 resolvedDenisChenu Check data integrity : die with renaming a non existing table 

Activities

DenisChenu

DenisChenu

2019-05-27 09:47

developer  

CDbException.html (171,919 bytes)
DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52164

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28871

Related Changesets

LimeSurvey: master fc40e319

2019-05-29 13:33:37

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14938: Check data integrity : die with renaming a non existing table

Fixed issue 14939: Check data integrity with a lot of broken question : SQL error (MSSQL)
Fixed issue : Only one survey is find for SurveyLanguageSetting in checkintegrity
Affected Issues
14938, 14939
mod - application/controllers/admin/checkintegrity.php Diff File
mod - application/models/SurveyLanguageSetting.php Diff File
mod - application/views/admin/checkintegrity/fix_view.php Diff File

Issue History

Date Modified Username Field Change
2019-05-27 09:47 DenisChenu New Issue
2019-05-27 09:47 DenisChenu File Added: CDbException.html
2019-05-27 09:59 DenisChenu Relationship added related to 14938
2019-05-28 09:28 DenisChenu Assigned To => DenisChenu
2019-05-28 09:28 DenisChenu Status new => assigned
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master fc40e319
2019-05-29 16:12 DenisChenu Note Added: 52164
2019-05-29 16:12 DenisChenu Resolution open => fixed
2019-05-31 10:19 DenisChenu Status assigned => resolved
2019-05-31 10:19 DenisChenu Fixed in Version => 3.17.x